Subject: bug#10884: closed (Re: bug#10884: 24.0.93; c-mode + electric-indent-mode + M-j)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 Jul 2017 07:18:02 +0000

Your bug report

#10884: 24.0.93; c-mode + electric-indent-mode + M-j

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10884: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10884
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10884: 24.0.93; c-mode + electric-indent-mode + M-j
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Thu, 20 Jul 2017 09:17:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Feb 25, 2012 at 8:36 PM, Dani Moncayo <[email-masked]> wrote:
> Recipe from "emacs -Q":
> 1. Type: M-x c-mode RET
> 2. Type: M-x electric-indent-mode RET
> 3. Type: { M-j / / M-j
>
> --> Observed result [1]:
> {
>   //
>     -!-//
>
> --> Expected result [1][2]:
> {
>   //
>   //-!-

I can't reproduce this problem using a build of the current master
branch, so I'm closing this bug.

-- 
Dani Moncayo

Subject: 24.0.93; c-mode + electric-indent-mode + M-j
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Sat, 25 Feb 2012 20:36:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe from "emacs -Q":
1. Type: M-x c-mode RET
2. Type: M-x electric-indent-mode RET
3. Type: { M-j / / M-j

--> Observed result [1]:
{
  //
    -!-//

--> Expected result [1][2]:
{
  //
  //-!-

--- Footnotes ---

[1] "-!-" indicates the location of point.

[2] I expect that result because the command `M-j' should do its work
well (insert a new line of comment, correctly indented, and leave the
point after the "//") regardless of whether electric-indent-mode minor
mode is active or not.

In GNU Emacs 24.0.93.1 (i386-mingw-nt6.1.7601)
 of 2012-02-14 on DANI-PC
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --with-gcc (4.6)'

-- 
Dani Moncayo